Vue Bootstrap Tooltips

Vue Tooltips - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Tooltips are a convenient way of presenting additional information to your user. They are tiny little clouds with a brief text message, triggered by clicking on specified element or hovering over it.

They significantly increase User Experience, especially with advanced UI elements, which often require additional explanation.


Examples

Hover over the links below to see tooltips:

Default tooltips

Tight pants next level keffiyeh you probably haven't heard of them. Photo booth beard raw denim letterpress vegan messenger bag stumptown. Farm-to-table seitan, mcsweeney's fixie sustainable quinoa 8-bit american apparel have a terry richardson vinyl chambray. Beard stumptown, cardigans banh mi lomo thundercats. Tofu biodiesel williamsburg marfa, four loko mcsweeney's cleanse vegan chambray. A really ironic artisan whatever keytar, scenester farm-to-table banksy Austin twitter handle freegan cred raw denim single-origin coffee viral.
        
            
          <template>
            <p>
              Tight pants next level keffiyeh
              <mdb-tooltip trigger="hover" :options="{placement: 'top'}">
                <span slot="tip"> Default tooltip </span>
                <a slot="reference">you probably</a>
              </mdb-tooltip>
              haven't heard of them. Photo booth beard raw denim letterpress vegan messenger bag stumptown.
              Farm-to-table
              seitan, mcsweeney's fixie sustainable quinoa 8-bit american apparel
              <mdb-tooltip trigger="hover" :options="{placement: 'top'}">
                <span slot="tip">Another tooltip</span>
                <a slot="reference">have a</a>
              </mdb-tooltip>
              terry richardson vinyl chambray. Beard stumptown, cardigans banh mi lomo thundercats. Tofu biodiesel
              williamsburg marfa, four loko mcsweeney's cleanse vegan chambray. A really ironic artisan
              <mdb-tooltip trigger="hover" :options="{placement: 'top'}">
                <span slot="tip">Another onr here too</span>
                <a slot="reference">whatever keytar</a>
              </mdb-tooltip>
              ,scenester farm-to-table banksy Austin
              <mdb-tooltip trigger="hover" :options="{placement: 'top'}">
                <span slot="tip">The last tip!</span>
                <a slot="reference">twitter handle</a>
              </mdb-tooltip>
              freegan cred raw denim single-origin coffee viral.
            </p>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbTooltip
            } from 'mdbvue';
            export default {
              components: {
                mdbTooltip
              }
            }
          </script>
          
        
    

Material tooltips MDB Pro component

Tight pants next level keffiyeh you probably haven't heard of them. Photo booth beard raw denim letterpress vegan messenger bag stumptown. Farm-to-table seitan, mcsweeney's fixie sustainable quinoa 8-bit american apparel have a terry richardson vinyl chambray. Beard stumptown, cardigans banh mi lomo thundercats. Tofu biodiesel williamsburg marfa, four loko mcsweeney's cleanse vegan chambray. A really ironic artisan whatever keytar, scenester farm-to-table banksy Austin twitter handle freegan cred raw denim single-origin coffee viral.
        
            
            <template>
              <p>
                Tight pants next level keffiyeh
                <mdb-tooltip material trigger="hover" :options="{placement: 'top'}">
                  <span slot="tip"> Default tooltip </span>
                  <a slot="reference">you probably</a>
                </mdb-tooltip>
                haven't heard of them. Photo booth beard raw denim letterpress vegan messenger bag stumptown.
                Farm-to-table
                seitan, mcsweeney's fixie sustainable quinoa 8-bit american apparel
                <mdb-tooltip material trigger="hover" :options="{placement: 'top'}">
                  <span slot="tip">Another tooltip</span>
                  <a slot="reference">have a</a>
                </mdb-tooltip>
                terry richardson vinyl chambray. Beard stumptown, cardigans banh mi lomo thundercats. Tofu biodiesel
                williamsburg marfa, four loko mcsweeney's cleanse vegan chambray. A really ironic artisan
                <mdb-tooltip material trigger="hover" :options="{placement: 'top'}">
                  <span slot="tip">Another onr here too</span>
                  <a slot="reference">whatever keytar</a>
                </mdb-tooltip>
                ,scenester farm-to-table banksy Austin
                <mdb-tooltip material trigger="hover" :options="{placement: 'top'}">
                  <span slot="tip">The last tip!</span>
                  <a slot="reference">twitter handle</a>
                </mdb-tooltip>
                freegan cred raw denim single-origin coffee viral.
              </p>
            </template>
            
        
    
        
            
            <script>
              import {
                mdbTooltip
              } from 'mdbvue';
              export default {
                components: {
                  mdbTooltip
                }
              }
            </script>
            
        
    

Four tooltips

Hover over the buttons below to see the four tooltips directions: top, right, bottom, and left.

Default tooltips

        
            
          <template>
            <mdb-tooltip trigger="hover" :options="{placement: 'top'}">
              <span slot="tip">Tooltip</span>
              <mdb-btn slot="reference" color="primary">Tooltip on top</mdb-btn>
            </mdb-tooltip>
            <mdb-tooltip trigger="hover" :options="{placement: 'right'}">
              <span slot="tip">Tooltip</span>
              <mdb-btn slot="reference" color="primary">Tooltip on right</mdb-btn>
            </mdb-tooltip>
            <mdb-tooltip trigger="hover" :options="{placement: 'bottom'}">
              <span slot="tip">Tooltip</span>
              <mdb-btn slot="reference" color="primary">Tooltip on bottom</mdb-btn>
            </mdb-tooltip>
            <mdb-tooltip trigger="hover" :options="{placement: 'left'}">
              <span slot="tip">Tooltip</span>
              <mdb-btn slot="reference" color="primary">Tooltip on left</mdb-btn>
            </mdb-tooltip>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbTooltip
            } from 'mdbvue';
            export default {
              components: {
                mdbTooltip
              }
            }
          </script>
          
        
    

Material tooltips MDB Pro component

        
            
            <template>
              <mdb-container>
                <mdb-tooltip material trigger="hover" :options="{placement: 'top'}">
                  <span slot="tip">Tooltip</span>
                  <mdb-btn slot="reference" color="secondary">Tooltip on top</mdb-btn>
                </mdb-tooltip>
                <mdb-tooltip material trigger="hover" :options="{placement: 'right'}">
                  <span slot="tip">Tooltip</span>
                  <mdb-btn slot="reference" color="secondary">Tooltip on right</mdb-btn>
                </mdb-tooltip>
                <mdb-tooltip material trigger="hover" :options="{placement: 'bottom'}">
                  <span slot="tip">Tooltip</span>
                  <mdb-btn slot="reference" color="secondary">Tooltip on bottom</mdb-btn>
                </mdb-tooltip>
                <mdb-tooltip material trigger="hover" :options="{placement: 'left'}">
                  <span slot="tip">Tooltip</span>
                  <mdb-btn slot="reference" color="secondary">Tooltip on left</mdb-btn>
                </mdb-tooltip>
              </mdb-container>
            </template>
            
        
    
        
            
            <script>
              import {
                mdbTooltip,
                mdbContainer
              } from 'mdbvue';
              export default {
                components: {
                  mdbTooltip,
                  mdbContainer
                }
              }
            </script>
            
        
    

Custom HTML

You can use HTML to customize tooltip's title.

Default tooltip

        
            
          <template>
            <mdb-tooltip trigger="hover" :options="{placement: 'left'}">
              <span slot="tip"><em>Tooltip</em> <u>with</u> <b>HTML</b></span>
              <mdb-btn slot="reference" color="primary">Tooltip with HTML</mdb-btn>
            </mdb-tooltip>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbTooltip
            } from 'mdbvue';
            export default {
              components: {
                mdbTooltip
              }
            }
          </script>
          
        
    

Material tooltip MDB Pro component

        
            
            <template>
              <mdb-tooltip material trigger="hover" :options="{placement: 'left'}">
                <span slot="tip"><em>Tooltip</em> <u>with</u> <b>HTML</b></span>
                <mdb-btn slot="reference" color="secondary">Tooltip with HTML</mdb-btn>
              </mdb-tooltip>
            </template>
            
        
    
        
            
            <script>
              import {
                mdbTooltip
              } from 'mdbvue';
              export default {
                components: {
                  mdbTooltip
                }
              }
            </script>
            
        
    

Material Email Tooltips MDB Pro component

        
            
        <template>
          <mdb-container>
            <mdb-tooltip material email trigger="hover" :options="{placement: 'top'}">
              <span slot="tip">MD</span>
              <mdb-btn slot="reference" color="secondary">MD on top</mdb-btn>
            </mdb-tooltip>
            <mdb-tooltip material email trigger="hover" :options="{placement: 'right'}">
              <span slot="tip">MD</span>
              <mdb-btn slot="reference" color="secondary">MD on right</mdb-btn>
            </mdb-tooltip>
            <mdb-tooltip material email trigger="hover" :options="{placement: 'bottom'}">
              <span slot="tip">MD</span>
              <mdb-btn slot="reference" color="secondary">MD on bottom</mdb-btn>
            </mdb-tooltip>
            <mdb-tooltip material email trigger="hover" :options="{placement: 'left'}">
              <span slot="tip">MD</span>
              <mdb-btn slot="reference" color="secondary">MD on left</mdb-btn>
            </mdb-tooltip>
            <mdb-tooltip material email trigger="hover" :options="{placement: 'left'}">
              <span slot="tip"><em>Tooltip</em> <u>with</u> <b>HTML</b></span>
              <mdb-btn slot="reference" color="secondary">MD with HTML</mdb-btn>
            </mdb-tooltip>
          </mdb-container>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbTooltip,
            mdbContainer
          } from 'mdbvue';
          export default {
            components: {
              mdbTooltip,
              mdbContainer
            }
          }
        </script>
        
        
    

Material Smaller Tooltips MDB Pro component

        
            
        <template>
          <mdb-container>
            <mdb-tooltip material sm trigger="hover" :options="{placement: 'top'}">
              <span slot="tip">MD</span>
              <mdb-btn slot="reference" color="secondary">MD on top</mdb-btn>
            </mdb-tooltip>
            <mdb-tooltip material sm trigger="hover" :options="{placement: 'right'}">
              <span slot="tip">MD</span>
              <mdb-btn slot="reference" color="secondary">MD on right</mdb-btn>
            </mdb-tooltip>
            <mdb-tooltip material sm trigger="hover" :options="{placement: 'bottom'}">
              <span slot="tip">MD</span>
              <mdb-btn slot="reference" color="secondary">MD on bottom</mdb-btn>
            </mdb-tooltip>
            <mdb-tooltip material sm trigger="hover" :options="{placement: 'left'}">
              <span slot="tip">MD</span>
              <mdb-btn slot="reference" color="secondary">MD on left</mdb-btn>
            </mdb-tooltip>
            <mdb-tooltip material sm trigger="hover" :options="{placement: 'left'}">
              <span slot="tip"><em>Tooltip</em> <u>with</u> <b>HTML</b></span>
              <mdb-btn slot="reference" color="secondary">MD with HTML</mdb-btn>
            </mdb-tooltip>
          </mdb-container>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbTooltip,
            mdbContainer
          } from 'mdbvue';
          export default {
            components: {
              mdbTooltip,
              mdbContainer
            }
          }
        </script>
        
        
    

Tooltips - API

In this section you will find advanced information about the Tooltips component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
    <script>
      import {
        mdbTooltip
      } from 'mdbvue';
    </script>
    
        
    

API Reference: Properties

Name Type Default Description Example
delayOnMouseOut> Number 10> Setting the animation delay <mdb-tooltip :delayOnMouseOut="20">>
disabled> Boolean > Disables tooltip <mdb-tooltip disabled>>
options> Object {placement: 'top'}> Determines tooltip options. For example placement> may take in top>, bottom>, right> and left>. <mdb-tooltip :options="{placement: 'top'}">>
trigger> String 'hover'> Determines start event, either click> or the default hover> <mdb-tooltip trigger="hover">>
material> Boolean false> Applies material design styles to a tooltip <tooltip material >>
email> Boolean false> Applies email styles to a material tooltip <tooltip material email >>
sm> Boolean false> Changes size of a material tooltip to small <tooltip material sm >>
maxWidth> Number 276> Sets maximum width of the tooltip <mdb-tooltip :maxWidth="90">>
boundriesSelector> String > Sets bounriesElement value in the preventOverflow modifier (Popper.js) <mdb-tooltip :boundrySelector="#test">>
forceShow> Boolean false> Allows to show tooltip without triggering event <mdb-tooltip :boundrySelector="#test">>
appendToBody> Boolean false> Append the tooltip to the end of the body element <mdb-tooltip append-to-body>>
visibleArrow> Boolean true> Shows the arrow <mdb-tooltip :visible-arrow="false">>

- property available only for PRO users.


API Reference: Slots

Name Description Example
tip> Slotted content will be wrapped in a div.tooltip> and used as such <span slot="tip">Don't forget your tip, bro!</span>>
reference> Tooltip triggering action target <mdb-btn color="primary" slot="reference">hover over me, baby - I want to show you something</mdb-btn>>
[default]> The old syntax - if you place something within mdb-tooltip> without specifying slots, it will be used similarly to the tip slot>, yet the content shall still require wrapping in a div.tooltip>. <mdb-tooltip><div class="tooltip">this is a tooltip</div><mdb-btn slot="reference">I do trigger</mdb-btn></mdb-tooltip>>

Angular Bootstrap Tooltips

Angular Tooltips - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Tooltips are a convenient way of presenting additional information to your user. They are tiny little clouds with a brief text message, triggered by clicking on a specified element or hovering over it.


Examples

Hover over the links below to see tooltips:

Tight pants next level keffiyeh you probably haven't heard of them. Photo booth beard raw denim letterpress vegan messenger bag stumptown. Farm-to-table seitan, mcsweeney's fixie sustainable quinoa 8-bit american apparel have a terry richardson vinyl chambray. Beard stumptown, cardigans banh mi lomo thundercats. Tofu biodiesel williamsburg marfa, four loko mcsweeney's cleanse vegan chambray. A really ironic artisan whatever keytar, scenester farm-to-table banksy Austin twitter handle freegan cred raw denim single-origin coffee viral.
        
            
            Tight pants next level keffiyeh
            <a href="#" mdbTooltip="Basic tooltip" placement="top">you probably</a>
            haven't heard of them. Photo booth beard raw denim letterpress vegan messenger bag stumptown. Farm-to-table
            seitan, mcsweeney's fixie sustainable quinoa 8-bit american apparel
            <a href="#" mdbTooltip="Another tooltip" placement="top">have a</a>
            terry richardson vinyl chambray. Beard stumptown, cardigans banh mi lomo thundercats. Tofu biodiesel
            williamsburg marfa, four loko mcsweeney's cleanse vegan chambray. A really ironic artisan
            <a href="#" mdbTooltip="Again, basic tooltip" placement="top">whatever keytar</a>
            ,scenester farm-to-table banksy Austin
            <a href="#" mdbTooltip="And the last tooltip" placement="top">twitter handle</a>
            freegan cred raw denim single-origin coffee viral.
          
        
    

Now, hover over the buttons below to see the four tooltips directions: top, right, bottom, and left.

        
            
          <button type="button" mdbBtn color="primary" class="bwaves-light" mdbTooltip="Tooltip on top" placement="top" mdbWavesEffect>
            Tooltip on top
          </button>
          <button type="button" mdbBtn color="primary" class="waves-light" mdbTooltip="Tooltip on right" placement="right" mdbWavesEffect>
            Tooltip on right
          </button>
          <button type="button" mdbBtn color="primary" class="waves-light" mdbTooltip="Tooltip on bottom" placement="bottom" mdbWavesEffect>
            Tooltip on bottom
          </button>
          <button type="button" mdbBtn color="primary" class="waves-light" mdbTooltip="Tooltip on left" placement="left" mdbWavesEffect>
            Tooltip on left
          </button>
          
        
    

Custom HTML

You can use HTML to customize a tooltip's title.

        
            
            <ng-template #popTemplate> <div [innerHtml]="html"></div></ng-template>
            <button type="button" mdbBtn color="primary" class="waves-light" [mdbTooltip]="popTemplate" mdbWavesEffect>
              Tooltip with html
            </button>
          
        
    
        
            
            import { Component} from '@angular/core';

            @Component({
              selector: 'tooltip-dynamic-example',
              templateUrl: 'tooltip-dynamic.html',
            })
            export class TooltipDynamicComponent {
              html = '<span><i>Tooltip</i> <u>with</u> <b>HTML</b></span>';
            }
          
        
    

Show and Hide

You can use the show() and hide() methods to manually toggle the tooltip. Remember to pass the $event argument to the show() function.

This text has attached to it a tooltip

        
            
            <p>
              <span mdbTooltip="Hello there! I was triggered manually" triggers="" #pop="mdb-tooltip">
                This text has attached to it a tooltip
              </span>
            </p>
            <button type="button" mdbBtn color="success" class="waves-light" (click)="pop.show($event)" mdbWavesEffect>Show</button>
            <button type="button" mdbBtn color="warning" class="waves-light" (click)="pop.hide()" mdbWavesEffect>Hide</button>
          
        
    

Modify tooltip height

Add .tooltip-inner { height: desired-value } to the styles.scss stylesheet to change the height of the tooltip.

Also, remember to use a customHeight input. This is required if the tooltip has no space to display along the top or bottom edge of the screen, and is displayed the other way round.

        
            
          <button type="button" mdbBtn color="primary" class="waves-light" customHeight="50" mdbTooltip="Tooltip on top" placement="top" mdbWavesEffect>
            Tooltip on top
          </button>
          <button type="button" mdbBtn color="primary" class="fixed-bottom waves-light" customHeight="50" mdbTooltip="Tooltip on bottom" placement="bottom" mdbWavesEffect>
            Tooltip on bottom
          </button>
        
        
    
        
            
          .tooltip-inner {
            height: 50px;
            line-height: 50px;
          }
        
        
    

Angular Tooltips - API

In this section you will find informations about required modules and available inputs, outputs, methods and events of tooltip directive.


Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

        
            
          import { TooltipModule, ButtonsModule, WavesModule } from 'ng-uikit-pro-standard'
        
        
    
        
            
          import { TooltipModule, ButtonsModule, WavesModule } from 'angular-bootstrap-md'
        
        
    

Directives

TooltipDirective

Selector: mdbTooltip

Type: TooltipDirective


Inputs

Name Type Default Description Example
container string 'body' A selector specifying the element the tooltip should be appended to; at the present time only supports "body". container="body"
isDisabled boolean false Allows to disable tooltip. isDisabled="true"
isOpen boolean false Returns whether or not the tooltip is currently being shown. isOpen="true"
placement string - Placement of a tooltip; pick one of the accepted options: top, bottom, left, right. placement="top"
mdbTooltip string - The content of your tooltip. mdbTooltip="Tooltip content"
triggers string 'hover focus' Specifies the events that will be triggered. Supports a space separated list of event names. triggers="mouseenter:click"
delay number - Specifies the delay after which tooltip will be fired. delay="1000"
customHeight number - Specifies the height of the tooltip if was overwritten in scss. Used to determine if tooltip will fit to remaining space or not. customHeight="50"

Events

Name Type Description Example
hidden any Emits an event when the tooltip is hidden. (hidden)="onHidden()"
tooltipChange any Fired when tooltip content changes. (tooltipChange)="tooltipChange()"
shown any Emits an event when the tooltip is shown. (shown)="onShown()"

Methods

Below methods are available in TooltipDirective

Name Description
show(event?) Opens an element’s tooltip. This is considered a "manual" triggering of the tooltip.
hide() Closes an element’s tooltip. This is considered a "manual" triggering of the tooltip.
toggle(value: boolean) Toggles an element’s tooltip. This is considered a “manual” triggering of the tooltip.

React Bootstrap Tooltips

React Tooltips - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Tooltips are a convenient way of presenting additional information to your user. They are tiny little clouds with a brief text message, triggered by clicking on specified element or hovering over it.

They significantly increase User Experience, especially with advanced UI elements, which often require additional explanation.


Examples

Hover over the links below to see tooltips:

Default tooltips

Tight pants next level keffiyeh you probably haven't heard of them. Photo booth beard raw denim letterpress vegan messenger bag stumptown. Farm-to-table seitan, mcsweeney's fixie sustainable quinoa 8-bit american apparel have a terry richardson vinyl chambray. Beard stumptown, cardigans banh mi lomo thundercats. Tofu biodiesel williamsburg marfa, four loko mcsweeney's cleanse vegan chambray. A really ironic artisan whatever keytar, scenester farm-to-table banksy Austin twitter handle freegan cred raw denim single-origin coffee viral.
        
            
                  import React from "react";
                  import { MDBTooltip, MDBContainer } from "mdbreact";
                  
                  const TooltipsPage = () => {
                    return (
                      <MDBContainer>    
                          Tight pants next level keffiyeh{" "}
                          <MDBTooltip
                            domElement
                            tag="span"
                            placement="top"
                          >
                            <span className="blue-text"> you probably </span>
                            <span>Default tooltip</span>
                          </MDBTooltip>
                          haven't heard of them. Photo booth beard raw denim letterpress vegan
                          messenger bag stumptown. Farm-to-table seitan, mcsweeney's fixie
                          sustainable quinoa 8-bit american apparel{" "}
                          <MDBTooltip
                            domElement
                            tag="span"
                            placement="top"
                          >
                            <span className="blue-text"> have a </span>
                            <span>Another tooltip</span>
                          </MDBTooltip>{" "}
                          terry richardson vinyl chambray. Beard stumptown, cardigans banh mi lomo
                          thundercats. Tofu biodiesel williamsburg marfa, four loko mcsweeney's
                          cleanse vegan chambray. A really ironic artisan
                          <MDBTooltip
                            domElement
                            tag="span"
                            placement="top"
                          >
                            <span className="blue-text"> whatever keytar </span>
                            <span>Another one here too</span>
                          </MDBTooltip>
                          , scenester farm-to-table banksy Austin{" "}
                          <MDBTooltip
                            domElement
                            tag="span"
                            placement="top"
                          >
                            <span className="blue-text"> twitter handle </span>
                            <span>The last tip!</span>
                          </MDBTooltip>{" "}
                          freegan cred raw denim single-origin coffee viral.
                      </MDBContainer>
                    );
                  };
                  
                  export default TooltipsPage;
                  
              
        
    

Material tooltips MDB Pro component

Tight pants next level keffiyeh you probably haven't heard of them. Photo booth beard raw denim letterpress vegan messenger bag stumptown. Farm-to-table seitan, mcsweeney's fixie sustainable quinoa 8-bit american apparel have a terry richardson vinyl chambray. Beard stumptown, cardigans banh mi lomo thundercats. Tofu biodiesel williamsburg marfa, four loko mcsweeney's cleanse vegan chambray. A really ironic artisan whatever keytar, scenester farm-to-table banksy Austin twitter handle freegan cred raw denim single-origin coffee viral.
        
            
                    import React from "react";
                    import { MDBTooltip, MDBContainer } from "mdbreact";

                    const TooltipsPage = () => {
                      return (
                        <MDBContainer>    
                            Tight pants next level keffiyeh{" "}
                            <MDBTooltip
                              domElement
                              tag="span"
                              material
                              placement="top"
                            >
                              <span className="blue-text"> you probably </span>
                              <span>Default tooltip</span>
                            </MDBTooltip>
                            haven't heard of them. Photo booth beard raw denim letterpress vegan
                            messenger bag stumptown. Farm-to-table seitan, mcsweeney's fixie
                            sustainable quinoa 8-bit american apparel{" "}
                            <MDBTooltip
                              domElement
                              tag="span"
                              material
                              placement="top"
                            >
                              <span className="blue-text"> have a </span>
                              <span>Another tooltip</span>
                            </MDBTooltip>{" "}
                            terry richardson vinyl chambray. Beard stumptown, cardigans banh mi lomo
                            thundercats. Tofu biodiesel williamsburg marfa, four loko mcsweeney's
                            cleanse vegan chambray. A really ironic artisan
                            <MDBTooltip
                              domElement
                              tag="span"
                              material
                              placement="top"
                            >
                              <span className="blue-text"> whatever keytar </span>
                              <span>Another one here too</span>
                            </MDBTooltip>
                            , scenester farm-to-table banksy Austin{" "}
                            <MDBTooltip
                              domElement
                              tag="span"
                              material
                              placement="top"
                            >
                              <span className="blue-text"> twitter handle </span>
                              <span>The last tip!</span>
                            </MDBTooltip>{" "}
                            freegan cred raw denim single-origin coffee viral.
                        </MDBContainer>
                      );
                    };

                    export default TooltipsPage;

                 
        
    

Four tooltips

Hover over the buttons below to see the four tooltips directions: top, right, bottom, and left.

Default tooltips

        
            
                  import React from "react";
                  import { MDBTooltip, MDBContainer, MDBBtn } from "mdbreact";
                  
                  const TooltipsPage = () => {
                    const style = { display: "inline-block", maxWidth: "50vh" };
                    return (
                      <MDBContainer className="text-center p-5">
                        <MDBTooltip placement="top">
                          <MDBBtn color="primary">Top tooltip</MDBBtn>
                          <div>MDBTooltip on top</div>
                        </MDBTooltip>
                  
                        <div>
                          <div style={style} className="text-right">
                            <MDBTooltip placement="left">
                              <MDBBtn color="primary">Left tooltip</MDBBtn>
                              <div>MDBTooltip on left</div>
                            </MDBTooltip>
                          </div>
                  
                          <div style={style} className="text-left">
                            <MDBTooltip placement="right">
                              <MDBBtn color="primary">Right tooltip</MDBBtn>
                              <div>MDBTooltip on right</div>
                            </MDBTooltip>
                          </div>
                        </div>
                  
                        <MDBTooltip placement="bottom">
                          <MDBBtn color="primary">Bottom tooltip</MDBBtn>
                          <div>MDBTooltip on bottom</div>
                        </MDBTooltip>
                      </MDBContainer>
                    );
                  };
                  
                  export default TooltipsPage;
                  
              
        
    

Material tooltips MDB Pro component

        
            
                  import React from "react";
                  import { MDBTooltip, MDBContainer, MDBBtn } from "mdbreact";
                  
                  const TooltipsPage = () => {
                    const style = { display: "inline-block", maxWidth: "50vh" };
                    return (
                      <MDBContainer className="text-center p-5">
                        <MDBTooltip material placement="top">
                          <MDBBtn color="secondary">Top tooltip</MDBBtn>
                          <div>MDBTooltip on top</div>
                        </MDBTooltip>
                  
                        <div>
                          <div style={style} className="text-right">
                            <MDBTooltip material placement="left">
                              <MDBBtn color="secondary">Left tooltip</MDBBtn>
                              <div>MDBTooltip on left</div>
                            </MDBTooltip>
                          </div>
                  
                          <div style={style} className="text-left">
                            <MDBTooltip material placement="right">
                              <MDBBtn color="secondary">Right tooltip</MDBBtn>
                              <div>MDBTooltip on right</div>
                            </MDBTooltip>
                          </div>
                        </div>
                  
                        <MDBTooltip material placement="bottom">
                          <MDBBtn color="secondary">Bottom tooltip</MDBBtn>
                          <div>MDBTooltip on bottom</div>
                        </MDBTooltip>
                      </MDBContainer>
                    );
                  };
                  
                  export default TooltipsPage;
                  
                  
        
    

Custom HTML

You can use HTML to customize tooltip's title.

Default tooltip

        
            
                  import React from "react";
                  import { MDBTooltip, MDBBtn } from "mdbreact";
                  
                  const TooltipsPage = () => {
                    return (
                      <MDBTooltip placement="bottom" clickable>
                        <MDBBtn color="primary">
                          MD Tooltip with HTML
                        </MDBBtn>
                        <span>
                          <em>Tooltip</em> <u>with</u> <b>HTML</b>
                        </span>
                      </MDBTooltip>
                    );
                  };
                  
                  export default TooltipsPage;
                  
               
        
    

Material tooltip MDB Pro component

        
            
                  import React from "react";
                  import { MDBTooltip, MDBBtn } from "mdbreact";
                  
                  const TooltipsPage = () => {
                    return (
                      <MDBTooltip material placement="bottom" clickable>
                        <MDBBtn color="secondary">
                          MD Tooltip with HTML
                        </MDBBtn>
                        <span>
                          <em>Tooltip</em> <u>with</u> <b>HTML</b>
                        </span>
                      </MDBTooltip>
                    );
                  };
                  
                  export default TooltipsPage;
                  
              
        
    

Material Email Tooltips MDB Pro component

        
            
              import React from "react";
              import { MDBTooltip, MDBContainer, MDBBtn } from "mdbreact";
              
              const TooltipsPage = () => {
                const style = { display: "inline-block", maxWidth: "50vh" };
                return (
                  <MDBContainer className="text-center p-5">
                    <MDBTooltip email placement="top">
                      <MDBBtn color="secondary">Top tooltip</MDBBtn>
                      <div>MDBTooltip on top</div>
                    </MDBTooltip>
              
                    <div>
                      <div style={style} className="text-right">
                        <MDBTooltip email placement="left">
                          <MDBBtn color="secondary">Left tooltip</MDBBtn>
                          <div>MDBTooltip on left</div>
                        </MDBTooltip>
                      </div>
              
                      <div style={style} className="text-left">
                        <MDBTooltip email placement="right">
                          <MDBBtn color="secondary">Right tooltip</MDBBtn>
                          <div>MDBTooltip on right</div>
                        </MDBTooltip>
                      </div>
                    </div>
              
                    <MDBTooltip email placement="bottom">
                      <MDBBtn color="secondary">Bottom tooltip</MDBBtn>
                      <div>MDBTooltip on bottom</div>
                    </MDBTooltip>
                    <br/>
              
                    <MDBTooltip email placement="bottom">
                      <MDBBtn color="secondary">MD Tooltip with HTML</MDBBtn>
                      <span><em>Tooltip</em> <u>with</u> <b>HTML</b></span>
                    </MDBTooltip>
                  </MDBContainer>
                );
              };
              
              export default TooltipsPage;
          
        
    

Material Smaller Tooltips MDB Pro component

        
            
              import React from "react";
              import { MDBTooltip, MDBContainer, MDBBtn } from "mdbreact";
              
              const TooltipsPage = () => {
                const style = { display: "inline-block", maxWidth: "50vh" };
                return (
                  <MDBContainer className="text-center p-5">
                    <MDBTooltip material sm placement="top">
                      <MDBBtn color="secondary" size="sm">
                        Top tooltip
                      </MDBBtn>
                      <div>MDBTooltip on top</div>
                    </MDBTooltip>
              
                    <div>
                      <div style={style} className="text-right">
                        <MDBTooltip material sm placement="left">
                          <MDBBtn color="secondary" size="sm">
                            Left tooltip
                          </MDBBtn>
                          <div>MDBTooltip on left</div>
                        </MDBTooltip>
                      </div>
              
                      <div style={style} className="text-left">
                        <MDBTooltip material sm placement="right">
                          <MDBBtn color="secondary" size="sm">
                            Right tooltip
                          </MDBBtn>
                          <div>MDBTooltip on right</div>
                        </MDBTooltip>
                      </div>
                    </div>
              
                    <MDBTooltip material sm placement="bottom">
                      <MDBBtn color="secondary" size="sm">
                        Bottom tooltip
                      </MDBBtn>
                      <div>MDBTooltip on bottom</div>
                    </MDBTooltip>
                  </MDBContainer>
                );
              };
              
              export default TooltipsPage;
              
              
        
    

React Tooltips - API

In this section you will find advanced information about the Tooltips component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
        import { MDBTooltip } from 'mdbreact';

        OR:

        import { MDBPopper } from 'mdbreact';
      
        
    

Usage

Use MDBTooltip as a wrapper. First child is the component which will be visible in the DOM and aimed by the tooltip; and the second one is your tooltip content. If you use html element as the first argument, remember to add domElement property to the MDBTooltip.

        
            
          <MDBTooltip
            placement="left"
        >
            <MDBBtn>Tooltip on left</MDBBtn>
            <div>
                Tooltip on left
            </div>
        </MDBTooltip>
        
        
    
        
            
          <MDBTooltip
            placement="left"
            domElement
        >
            <span>Tooltip on left</span>
            <span>
                Tooltip on left
            </span>
        </MDBTooltip>
        
        
    

API Reference: Properties

Name Type Default Description Example
clickable Boolean false If set to true - tooltip is controlled by mouse click. <MDBPopper clickable ... />
domElement Boolean false Use this prop, when tooltip component doesn't accept innerRef property (HTML elements). <MDBPopper domElement ... />
modifiers Object Property used by Popper.js to customize popper element; find more here (click) <MDBPopper modifiers={{ preventOverflow: { enabled: false } }} ... />
id String popper Property used to distinguish tooltip/popover elements from eachother for outside click recognition. <MDBPopper id="greatPopover" ... />
isVisible Boolean false Sets the default state of the tooltip, or use it like the value in controlled inputs - combined with onChange method. <MDBPopper isVisible={this.state.isVisible} onChange={this.setVisibility} ... />
placement String top Determines tooltip placement. Choose from left | right | top | bottom <MDBPopper placement='top' ... />
popover Boolean false Converts tooltip styling to popover styling. <MDBPopper popover ... />
style Object { display: 'inline-block' } Applies custom style rules for the element which wraps tooltip aimed component. <MDBPopper style={{ display: "block" }} ... />
tag String div Sets custom tag for the element which wraps tooltip aimed component. <MDBPopper tag="span" ... />

API Reference: Popper Methods

Name Parameters Description Example
onChange This event fires immediately when the popper state changes; return false/true. <MDBPopper onChange={this.updatePopoverState} />